
Application: gvSIG desktop - gvSIG bugs #5210
Falla la inicializacion de bookmarks e historico si no existe la capete en home/gvSIG
03/26/2020 11:44 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: José Olivas
Category: Application
Target version: 2.5.1-3023
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3013 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al iniciar gvSIG desktop se produce el error:

WARN 6035 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load
history resources fail: guest@HISTORY!SearchPanel!3
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    a
ager.java:266)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQu
va:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:112)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6041 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load
history resources fail: guest@HISTORY!SearchPanel!2
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:112)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6045 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load history resources fail: guest@HISTORY!SearchPanel!0
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    a
ager.java:266)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:112)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6045 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load history resources fail: guest@HISTORY!SearchPanel!0
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQu
va:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:112)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6045 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load
history resources fail: guest@HISTORY!SearchPanel!0
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6048 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load history resources fail: guest@HISTORY!SearchPanel!1
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
INFO 6049 AWT-EventQueue-0 org.gvsig.andami.Launcher - Initializing org.gvsig.app.extension.About...
ager.java:266)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6048 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load history resources fail: guest@HISTORY!SearchPanel!1
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
va:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to
java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
WARN 6048 AWT-EventQueue-0 org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager - *Load
history resources fail: guest@HISTORY!SearchPanel!1
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:180)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.create(AbstractPersistenceManager.java:117)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:127)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.loadHistory(DefaultBookmarksAndHistoryManager.java:266)
    at org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
ager.java:266)
    at
org.gvsig.tools.bookmarksandhistory.impl.DefaultBookmarksAndHistoryManager.load(DefaultBookmarksAndHistoryManager.java:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
INFO 6049 AWT-EventQueue-0 org.gvsig.andami.Launcher - Initializing org.gvsig.app.extension.About...


va:170)
    at org.gvsig.app.extension.InitializeApplicationExtension.loadHistoryAndBookmarks(InitializeApplicationExtension.java:182)
    at org.gvsig.app.extension.InitializeApplicationExtension.initialize(InitializeApplicationExtension.java:161)
    at org.gvsig.andami.Launcher.initializeExtensions(Launcher.java:1484)
    at org.gvsig.andami.Launcher.access$000(Launcher.java:202)
    at org.gvsig.andami.Launcher$3.run(Launcher.java:612)
    at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:303)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.ClassCastException: org.gvsig.tools.persistence.impl.DelegatedMap cannot be cast to
java.base/java.lang.String
    at org.gvsig.fmap.dal.swing.impl.searchpanel.DefaultSearchParameters.loadFromState(DefaultSearchParameters.java:113)
    at org.gvsig.tools.persistence.impl.SimplePersistenceFactory.loadFromState(SimplePersistenceFactory.java:129)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:329)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$100(DefaultPersistentContext.java:77)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:174)
    ... 24 more
History
#1 - 03/26/2020 01:44 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Immediate

#2 - 04/07/2020 09:40 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3014 to 2.5.1-3015

#3 - 04/07/2020 09:47 PM - Joaquín  del Cerro Murciano
- Priority changed from Immediate to Urgent

#4 - 04/13/2020 09:30 AM - Álvaro Anguix
- Category set to Application

#5 - 04/15/2020 05:43 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3015 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#6 - 04/16/2020 09:15 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3044

#7 - 05/11/2020 06:58 PM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to José Olivas

#8 - 05/11/2020 06:58 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3023

#9 - 05/12/2020 08:06 PM - José Olivas
- Status changed from New to Fixed

#10 - 05/14/2020 08:16 PM - Álvaro Anguix
- Status changed from Fixed to Closed
